DEP-14-CONVERT-GIT-BRANCH-NAMES(1)

NOM
dep-14-convert-git-branch-names – Conversion des noms des branches du dépôt git selon DEP-14.

DESCRIPTION
Cet utilitaire aide au renommage des branches en affichant les commandes git nécessaires pour le dépôt local et les commandes salsa pour le dépôt distant pour renommer les branches et mettre à jour le nom de branche git par défaut. Il affiche également les commandes pour créer un fichier gbp.conf avec les noms de branche correspondants.

Comme ce script ne modifie rien en réalité, vous pouvez l’exécuter dans tout dépôt Debian pour voir ce qu’il affiche. Le renommage est nécessaire car git utilise 'main' comme nom de branche par défaut. Anciennement git utilisait 'master', et git-buildpackage utilisait encore 'master' comme nom de branche. Ce n’est pas idéal pour l’empaquetage Debian, car utiliser le même nom de branche de développement par défaut que le projet amont aboutit typiquement à des conflits de noms de branche.

La DEP-14 (https://dep-team.pages.debian.net/deps/dep14/, statut: candidate) déclare :

  Dans Debian cela signifie que les téléversements vers unstable et
  experimental devraient être préparés soit dans la branche debian/latest
  ou respectivement dans les branches debian/unstable et debian/experimental.

et :

  Les utilitaires qui créent ces dépôts devraient utiliser une ligne de
  commande comme git symbolic-ref HEAD refs/heads/debian/latest pour faire
  pointer HEAD vers la branche souhaitée.

SYNOPSIS
dep-14-convert-git-branch-names [options]

Options:

--packaging-branch <nom>
    Branche principale pour l’empaquetage (par exemple 'debian/latest')

--debug
    Afficher les informations de débogage lors de l’exécution

-h, --help
    Afficher ce message d’aide

--version
    Afficher les informations sur la version

VOIR AUSSI
DEP-14: https://dep-team.pages.debian.net/deps/dep14/

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.